(***********************************************************************)
(*                                                                     *)
(*                        Caml examples                                *)
(*                                                                     *)
(*            Pierre Weis                                              *)
(*                                                                     *)
(*                        INRIA Rocquencourt                           *)
(*                                                                     *)
(*  Copyright (c) 1994-2015, INRIA                                     *)
(*  All rights reserved.                                               *)
(*                                                                     *)
(*  Distributed under the BSD license.                                 *)
(*                                                                     *)
(***********************************************************************)
#open "tk";;

let action () = print_string "Bonjour!"; print_newline ();;

let hello () =
  let fentre_principale = openTk () in
  let bouton_press =
    button__create fentre_principale
      [ Text "Pressez-moi"; Command action; ] in
  pack [ bouton_press; ] [];

  mainLoop ()
;;

if sys__interactive then () else hello ()
;;
