(***********************************************************************)
(*                                                                     *)
(*                        Caml examples                                *)
(*                                                                     *)
(*            Pierre Weis                                              *)
(*                                                                     *)
(*                        INRIA Rocquencourt                           *)
(*                                                                     *)
(*  Copyright (c) 1994-2015, INRIA                                     *)
(*  All rights reserved.                                               *)
(*                                                                     *)
(*  Distributed under the BSD license.                                 *)
(*                                                                     *)
(***********************************************************************)
#open "expr";;

type tat =
  { mutable transitions : (char * tat) list;
    mutable epsilon_transitions : tat list;
    mutable terminal : bool;
    numro : int };;

value expr_vers_automate : expr -> tat;;
