(***********************************************************************)
(*                                                                     *)
(*                        Caml examples                                *)
(*                                                                     *)
(*            Pierre Weis                                              *)
(*                                                                     *)
(*                        INRIA Rocquencourt                           *)
(*                                                                     *)
(*  Copyright (c) 1994-2015, INRIA                                     *)
(*  All rights reserved.                                               *)
(*                                                                     *)
(*  Distributed under the BSD license.                                 *)
(*                                                                     *)
(***********************************************************************)
type tat =
  { mutable dtransitions : transition vect;
    dterminal : bool }
and transition =
    Vers of tat
  | Rejet;;

value dterminise : auto__tat -> determ__tat
  and reconnat : determ__tat -> string -> bool;;
